Get Google App Info Results by id

 
This endpoint will provide you with information about the mobile application specified in a POST request. You will receive its ID, icon, description, reviews count, rating, number of installs, images, and other data. The results are specific to the app_id parameter specified in the POST request.

We emulate set parameters with the highest accuracy so that the results you receive will match the actual search results for the specified parameters at the time of task setting. You can always check the returned results accessing the check_url in the Incognito mode to make sure the received data is entirely relevant. Note that user preferences, search history, and other personalized search factors are ignored by our system and thus would not be reflected in the returned results.

checked GET
Pricing

Your account will be charged only for setting a task. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.

Description of the fields for sending a request:

Field nameTypeDescription
idstring

task identifier
unique task identifier in our system in the UUID format
you will be able to use it within 30 days to request the results of the task at any time


‌‌‌‌
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

You can also get all available SERP features by making a request to the following Sandbox URL:
https://sandbox.dataforseo.com/v3/app_data/google/app_info/task_get/advanced/00000000-0000-0000-0000-000000000000
The response will include all available items in the Google App Info Advanced endpoint with the fields containing dummy data.
You won’t be charged for using Sandbox endpoints.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array that were returned an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        app_idstring

application id received in a POST request

        se_domainstring

search engine domain in a POST array

        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        check_urlstring

direct URL to search engine results
you can use it to make sure that we provided accurate results

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        se_results_countinteger

the total number of results

        items_countinteger

the number of items in the results array

        itemsarray

found app info

            typestring

the item's type
possible item types: "google_play_info_organic"

            rank_groupinteger

position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank among all the listed apps
absolute position among all apps on the list

            positionstring

the alignment of the element in SERP
can take the following values: left

            app_idstring

ID of the app

            titlestring

title of the app

            urlstring

URL to the app page on Google Play

            iconstring

URL to the app icon

            descriptionstring

description of the app

            reviews_countinteger

the total number of reviews the app has

            ratingobject

average rating of the app

                rating_typestring

the type of the rating
can take the following values: Max5

                valuefloat

the value of the rating

                votes_countinteger

the amount of feedback
in this case, the value will be null

                rating_maxinteger

the maximum value for a rating_type
the maximum value for Max5 is 5

            priceobject

price of the app

                currentfloat

current price
refers to the current price indicated in the element

                regularfloat

regular price
refers to the regular price indicated in the element

                max_valuefloat

the maximum price
refers to the maximum price indicated in the element

                currencystring

currency of the listed price
ISO code of the currency applied to the price

                is_price_rangeboolean

price is provided as a range
indicates whether a price is provided in a range

                displayed_pricestring

price string in the result
raw price string as provided in the result

            is_freeboolean

indicates whether the app is free

            main_categorystring

main category of the app

            installsstring

number of installs of the app
approximate number of installs as displayed on the app page

            installs_countinteger

number of installs of the app
the exact number of installs of the app

            developerstring

name of the app developer

            developer_idstring

ID of the app developer

            developer_urlstring

URL to the developer page on Google Play

            developer_emailstring

email address of the developer

            developer_addressstring

physical address of the developer

            developer_websitestring

official website of the developer

            versionstring

current version of the app

            minimum_os_versionstring

minimum OS version required to install the app

            sizestring

size of the app

            released_datestring

date and time when the app was released
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”;
example:
2019-11-15 12:57:46 +00:00

            last_update_datestring

date and time when the app was last updated
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”;
example:
2019-11-15 12:57:46 +00:00

            update_notesstring

update notes
contains the latest update notes from the developer

            imagesarray

app images
contains URLs to the images published on the app page on Google Play

            videosarray

app videos
contains URLs to the video published on the app page on Google Play

            similar_appsarray

similar apps
displays apps similar to the app in a POST request

                app_idstring

ID of the app

                titlestring

title of the app

                urlstring

URL to the app page on Google Play

            more_apps_by_developerarray

similar apps
information about apps built by the same developer

                app_idstring

ID of the app

                titlestring

title of the app

                urlstring

URL to the app page on Google Play

            genresarray

app genres
contains relevant app categories

            tagsarray

app tags
contains relevant app tags


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="04011058-0696-0199-0000-2196151a15cb" 
curl --location --request GET "https://api.dataforseo.com/v3/app_data/google/app_info/task_get/advanced/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// GET /v3/app_data/google/app_info/tasks_ready
	$tasks_ready = $client->get('/v3/app_data/google/app_info/tasks_ready');
	// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
	if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
		foreach ($tasks_ready['tasks'] as $task) {
			if (isset($task['result'])) {
				foreach ($task['result'] as $task_ready) {
					// #2 - using this method you can get results of each completed task
					// GET /v3/app_data/google/app_info/task_get/advanced/$id
					if (isset($task_ready['endpoint_advanced'])) {
						$result[] = $client->get($task_ready['endpoint_advanced']);
					}
					// #3 - another way to get the task results by id
					// GET /v3/app_data/google/app_info/task_get/advanced/$id
					/*
					if (isset($task_ready['id'])) {
						$result[] = $client->get('/v3/app_data/google/app_info/task_get/advanced/' . $task_ready['id']);
					}
					*/
				}
			}
		}
	}
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const task_id = '02231934-2604-0066-2000-570459f04879';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/app_data/google/app_info/task_get/advanced' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# get the task results by id
# GET /v3/app_data/google/app_info/task_get/advanced/$id
id = "06141103-2692-0309-1000-980b778b6d25"
response = client.get("/v3/app_data/google/app_info/task_get/advanced/" + id)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task app_data_google_app_info_task_get_by_id()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // get the task results by id
            // GET /v3/app_data/google/app_info/task_get/advanced/$id
            // use the task identifier that you recieved upon setting a task
            string id = "06141103-2692-0309-1000-980b778b6d25";
            var taskGetResponse = await httpClient.GetAsync("/v3/app_data/google/app_info/task_get/advanced/" + id);
            var result = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
            if (result.tasks != null)
            {
                var fst = result.tasks.First;
                // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                if (fst.status_code >= 40000 || fst.result == null)
                    Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                else
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, fst));
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
    "version": "0.1.20221214",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.0895 sec.",
    "cost": 0,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "05311759-1535-0419-0000-68b8d37f9abb",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "0.0337 sec.",
            "cost": 0,
            "result_count": 1,
            "path": [
                "v3",
                "app_data",
                "google",
                "app_info",
                "task_get",
                "advanced",
                "05311759-1535-0419-0000-68b8d37f9abb"
            ],
            "data": {
                "se_type": "app_info",
                "api": "app_data",
                "function": "app_info",
                "se": "google",
                "app_id": "com.google.android.apps.docs.editors.docs",
                "location_code": 2840,
                "language_code": "en",
                "device": "desktop",
                "os": "windows"
            },
            "result": [
                {
                    "app_id": "com.google.android.apps.docs.editors.docs",
                    "se_domain": "play.google.com",
                    "location_code": 2840,
                    "language_code": "en",
                    "check_url": "https://play.google.com/store/apps/details?id=com.google.android.apps.docs.editors.docs&hl=en&gl=us",
                    "datetime": "2023-05-31 14:59:05 +00:00",
                    "se_results_count": 0,
                    "items_count": 1,
                    "items": [
                        {
                            "type": "google_play_info_organic",
                            "rank_group": 1,
                            "rank_absolute": 1,
                            "position": "left",
                            "app_id": "com.google.android.apps.docs.editors.docs",
                            "title": "Google Docs",
                            "url": "https://play.google.com/store/apps/details?id=com.google.android.apps.docs.editors.docs&hl=en&gl=us",
                            "icon": "https://play-lh.googleusercontent.com/emmbClh_hm0WpWZqJ0X59B8Pz1mKoB9HVLkYMktxhGE6_-30SdGoa-BmYW73RJ8MGZQ",
                            "description": "Create, edit, and collaborate with others on documents from your Android phone or tablet with the Google Docs app. With Docs you can:nn- Create new documents or edit existing filesn- Share documents and collaborate in the same document at the same time.n- Work anywhere, anytime - even offlinen- Add and respond to comments.n- Never worry about losing your work – everything is saved automatically as you type.n- Search the web and your files in Drive, right from Docsn- Open, edit, and save Word documents and PDFs.nnGoogle Docs is part of Google Workspace: where teams of any size can chat, create, and collaborate.nnGoogle Workspace subscribers have access to additional Google Docs features, including:n- Working in a single document with teammates or people outside your company. See edits as others type, communicate through built-in chat, and leave feedback through comments and suggestionsn- Importing your documents to make them instantly editable, including Microsoft® Word and PDF files. Export your work in .docx, .pdf, .odt, .rtf, .txt or .html formatn- Unlimited version history. Track changes made to your documents and undo anything you choose.n- Working across devices, with or without InternetnnLearn more about Google Workspace: https://workspace.google.com/products/docs/nnFollow us for more:nTwitter: https://twitter.com/googleworkspacenLinkedin: https://www.linkedin.com/showcase/googleworkspacenFacebook: https://www.facebook.com/googleworkspace/.",
                            "reviews_count": 1768937,
                            "rating": {
                                "rating_type": "Max5",
                                "value": 4.1,
                                "votes_count": 1768937,
                                "rating_max": 5
                            },
                            "price": {
                                "current": 0,
                                "regular": null,
                                "max_value": null,
                                "currency": "USD",
                                "is_price_range": false,
                                "displayed_price": null
                            },
                            "is_free": true,
                            "main_category": "Productivity",
                            "installs": "1,000,000,000+",
                            "installs_count": 1465138588,
                            "developer": "Google LLC",
                            "developer_id": "5700313618786177705",
                            "developer_url": "https://play.google.com/store/apps/dev?id=5700313618786177705",
                            "developer_email": "apps-help@google.com",
                            "developer_address": "1600 Amphitheatre Parkway, Mountain View 94043",
                            "developer_website": "https://support.google.com/docs/?p=android_docs_help",
                            "version": null,
                            "minimum_os_version": null,
                            "size": null,
                            "released_date": "2014-04-30 03:00:00 +00:00",
                            "last_update_date": "2023-05-30 03:00:00 +00:00",
                            "update_notes": "* Bug fixes and performance improvements",
                            "images": [
                                "https://play-lh.googleusercontent.com/qfcVoE21Kmok5CMb6BtCgJJAiZSNaW6Q3NnWuLWp674gpV0Zhvi0WWnIEBZvej7BRyE",
                                "https://play-lh.googleusercontent.com/BI-lqIJAjO6_A7WhD_suxRzrSZInflX68vCezvrhr95-i0SqcYtahkd2B5nT36z-Lg",
                                "https://play-lh.googleusercontent.com/bZ6CsOvCH_pP8KtKjmp3rgqdHPuwzVNG9yAv33ruFVyNehQDUQzEyml6HdPFJb50r74",
                                "https://play-lh.googleusercontent.com/COYwJWfnfo4ACgvrDIv4L5dJGzurbSDseU4oWyM5sniiQoaIiNb19mKRFj9HNBY3dLI",
                                "https://play-lh.googleusercontent.com/KMYIlpSmai6GoGjCe7hmnAHwFBe3NQnKvRUqTXsLhUNWjFaeNmOar0Sqa9bAm7eBRXzf",
                                "https://play-lh.googleusercontent.com/iXQyQzrrL0iDs7GWaVOziKwzwf9ZEqf_mSZi_72-PC8K0NqKuuTdDYHlregvsFyX3fyc",
                                "https://play-lh.googleusercontent.com/0-3Uhsy1ZepKjfj8IkHTGpH4aWCUKUKNjuj6tEdDFu8XN_OqKvTJrdj_zJor-k7CCQ"
                            ],
                            "videos": [
                                "https://play.google.com/video/lava/web/player/yt:movie:ex185KgkgBQ?autoplay=1&embed=play"
                            ],
                            "similar_apps": [
                                {
                                    "app_id": "com.microsoft.office.officehubrow",
                                    "title": "Microsoft 365 (Office)",
                                    "url": "https://play.google.com/store/apps/details?id=com.microsoft.office.officehubrow"
                                },
                                {
                                    "app_id": "com.mobisystems.office",
                                    "title": "OfficeSuite: Word, Sheets, PDF",
                                    "url": "https://play.google.com/store/apps/details?id=com.mobisystems.office"
                                },
                                {
                                    "app_id": "cn.wps.moffice_eng",
                                    "title": "WPS Office-PDF,Word,Excel,PPT",
                                    "url": "https://play.google.com/store/apps/details?id=cn.wps.moffice_eng"
                                },
                                {
                                    "app_id": "com.microsoft.office.word",
                                    "title": "Microsoft Word: Edit Documents",
                                    "url": "https://play.google.com/store/apps/details?id=com.microsoft.office.word"
                                },
                                {
                                    "app_id": "com.microsoft.office.powerpoint",
                                    "title": "Microsoft PowerPoint",
                                    "url": "https://play.google.com/store/apps/details?id=com.microsoft.office.powerpoint"
                                },
                                {
                                    "app_id": "com.microsoft.skydrive",
                                    "title": "Microsoft OneDrive",
                                    "url": "https://play.google.com/store/apps/details?id=com.microsoft.skydrive"
                                }
                            ],
                            "more_apps_by_developer": [
                                {
                                    "app_id": "com.google.android.apps.translate",
                                    "title": "Google Translate",
                                    "url": "https://play.google.com/store/apps/details?id=com.google.android.apps.translate"
                                },
                                {
                                    "app_id": "com.google.android.apps.dynamite",
                                    "title": "Google Chat",
                                    "url": "https://play.google.com/store/apps/details?id=com.google.android.apps.dynamite"
                                },
                                {
                                    "app_id": "com.google.android.apps.youtube.kids",
                                    "title": "YouTube Kids",
                                    "url": "https://play.google.com/store/apps/details?id=com.google.android.apps.youtube.kids"
                                },
                                {
                                    "app_id": "com.google.android.apps.youtube.unplugged",
                                    "title": "YouTube TV: Live TV & more",
                                    "url": "https://play.google.com/store/apps/details?id=com.google.android.apps.youtube.unplugged"
                                },
                                {
                                    "app_id": "com.google.android.apps.walletnfcrel",
                                    "title": "Google Wallet",
                                    "url": "https://play.google.com/store/apps/details?id=com.google.android.apps.walletnfcrel"
                                },
                                {
                                    "app_id": "com.google.android.apps.nbu.paisa.user",
                                    "title": "Google Pay: Save and Pay",
                                    "url": "https://play.google.com/store/apps/details?id=com.google.android.apps.nbu.paisa.user"
                                }
                            ],
                            "genres": [
                                "Productivity"
                            ],
                            "tags": [
                                "Productivity"
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}